ports/156173: [patch] security/nettle update to 2.1

Johan van Selst johans at FreeBSD.org
Sat Apr 9 09:50:10 UTC 2011


The following reply was made to PR ports/156173; it has been noted by GNATS.

From: Johan van Selst <johans at FreeBSD.org>
To: Charlie Kester <corky1951 at comcast.net>
Cc: bug-followup at FreeBSD.org, Hirohisa Yamaguchi <umq at ueo.co.jp>,
	Frederic Culot <culot at freebsd.org>
Subject: Re: ports/156173: [patch] security/nettle update to 2.1
Date: Sat, 9 Apr 2011 11:49:08 +0200

 Charlie Kester wrote:
 > Cf. PR 149361
 > When this came up before, it looked like nettle 2.1 is incompatible with
 > the current versions of rdup and pike78.  Since there were no other
 > ports that depended on nettle, we have been waiting for the upstream
 > authors to update their software to use the newer version.
 
 I had asked (and hoped) that the Pike authors would pick this up and
 create a fix. Unfortunately, they have shown little interest so far.
 
 As Pike 7.8 does include an old Nettle 1.5 library in the distribution,
 I shall prepare a patch for Pike to use this version instead of the
 standard FreeBSD port for Nettle, thus removing the existing dependency.
 It should then be simple to update the Nettle port without affecting
 Pike.
 
 
 Regards,
 Johan



More information about the freebsd-ports-bugs mailing list